# List attribute options

> Retrieve the options of a list attribute definition.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

`GET /api/attribute_definitions/{definitionId}/options`

Retrieves the collection of AttributeOption resources.

Returns a paginated collection of the options of one attribute definition, identified by `definitionId`. Sort by `order[position]` to get them in display order, and set `Flowkiwi-Locale` to read the translatable `value` in a given locale. This endpoint is only available in the `unstable` version.

## Headers

| Name              | Type     | Required | Description                                                                                                      |
| ----------------- | -------- | -------- | ---------------------------------------------------------------------------------------------------------------- |
| `Flowkiwi-Locale` | `string` | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used. |

## Path parameters

| Name           | Type     | Required | Description                            |
| -------------- | -------- | -------- | -------------------------------------- |
| `definitionId` | `string` | Yes      | AttributeDefinitionResource identifier |

## Query parameters

| Name               | Type       | Required | Description                                                                                                                                                                                                                                                                          |
| ------------------ | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `page`             | `integer`  | -        | The collection page number                                                                                                                                                                                                                                                           |
| `itemsPerPage`     | `integer`  | -        | The number of items per page                                                                                                                                                                                                                                                         |
| `properties[]`     | `string[]` | -        | Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty} |
| `id[]`             | `string[]` | -        | Only the items with one of these ids, each a UUID or the item IRI.                                                                                                                                                                                                                   |
| `order[position]`  | `string`   | -        | AttributeOption order[position]                                                                                                                                                                                                                                                      |
| `order[createdAt]` | `string`   | -        | AttributeOption order[createdAt]                                                                                                                                                                                                                                                     |
| `order[updatedAt]` | `string`   | -        | AttributeOption order[updatedAt]                                                                                                                                                                                                                                                     |

## Response

**200** - AttributeOption collection

| Property     | Type                | Required | Description |
| ------------ | ------------------- | -------- | ----------- |
| `search`     | `object`            | -        |             |
| `totalItems` | `integer`           | -        |             |
| `view`       | `object`            | -        |             |
| `member`     | `AttributeOption[]` | Yes      |             |

## Errors

**403** - Access denied. The caller is missing one or more permissions required for this operation.

| Property             | Type               | Required | Description                                                                                                            |
| -------------------- | ------------------ | -------- | ---------------------------------------------------------------------------------------------------------------------- |
| `@context`           | `string \| object` | -        |                                                                                                                        |
| `@id`                | `string`           | Yes      |                                                                                                                        |
| `@type`              | `string`           | Yes      |                                                                                                                        |
| `detail`             | `string`           | -        |                                                                                                                        |
| `missingPermissions` | `string[]`         | -        | Permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied permission. |
| `status`             | `integer`          | -        |                                                                                                                        |
| `title`              | `string`           | -        |                                                                                                                        |
| `type`               | `string`           | -        |                                                                                                                        |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/api/attribute_definitions/{definitionId}/options' \
  -H 'Authorization: Bearer {access_token}' \
  -H 'Flowkiwi-Api-Version: unstable' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/api/contexts/AttributeOption",
  "@id": "/api/attribute_definitions/019afd10-3c4d-7e5f-8a60-2b3c4d5e6f70/options",
  "@type": "Collection",
  "member": [
    {
      "@context": "/api/contexts/AttributeOption",
      "@id": "/api/attribute_options/019afd20-5e6f-7081-8a92-4d5e6f708192",
      "@type": "AttributeOption",
      "createdAt": "2026-01-15T09:30:00+00:00",
      "definition": "/api/attribute_definitions/019afd10-3c4d-7e5f-8a60-2b3c4d5e6f70",
      "id": "019afd20-5e6f-7081-8a92-4d5e6f708192",
      "position": 0,
      "updatedAt": "2026-02-03T14:45:12+00:00",
      "value": "Red"
    },
    {
      "@context": "/api/contexts/AttributeOption",
      "@id": "/api/attribute_options/019afd21-6f70-7192-9ba3-5e6f708192a3",
      "@type": "AttributeOption",
      "createdAt": "2026-01-15T09:30:00+00:00",
      "definition": "/api/attribute_definitions/019afd10-3c4d-7e5f-8a60-2b3c4d5e6f70",
      "id": "019afd21-6f70-7192-9ba3-5e6f708192a3",
      "position": 1,
      "updatedAt": "2026-02-03T14:45:12+00:00",
      "value": "Black"
    }
  ],
  "totalItems": 2
}
```
